Subject: Re: bug#3371: 23.0.94; doc of `comment-style'

From: Stefan Monnier <[email-masked]>
Date: Tue, 26 May 2009 13:06:51 -0400

>>> We probably could add two autoload cookies to newcomment.el (I don't
>>> recall why I wanted the one for `comment-empty-lines' once).
>> I'd much rather remove the one on comment-style.
> This is an option so `comment-styles' will show up anyway when people
> customize `comment-style'.  Nothing won't stop people from using a
> comment style you dislike personally.  The more you hide things like
> `comment-styles' the more they become some sort of a forbidden fruit.

I don't want to hide comment-styles.
I just don't like autoloading variables.

Of course, in this particular case, my favorite choice has always been
to preload newcomment.el.

        Stefan